(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('@mintplayer/ng-focus-on-load', ['exports', '@angular/core', '@angular/common'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.mintplayer = global.mintplayer || {}, global.mintplayer["ng-focus-on-load"] = {}), global.ng.core, global.ng.common));
})(this, (function (exports, i0, common) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);

    var FocusOnLoadDirective = /** @class */ (function () {
        function FocusOnLoadDirective(viewContainer) {
            this.viewContainer = viewContainer;
            var container = this.viewContainer['_lContainer'][0];
            if (container instanceof HTMLElement) {
                this.inputBox = container;
            }
            else {
                this.inputBox = container[8];
            }
        }
        FocusOnLoadDirective.prototype.ngAfterViewInit = function () {
            var _this = this;
            setTimeout(function () {
                _this.inputBox.focus();
            }, 10);
        };
        return FocusOnLoadDirective;
    }());
    FocusOnLoadDirective.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: FocusOnLoadDirective, deps: [{ token: i0__namespace.ViewContainerRef }], target: i0__namespace.ɵɵFactoryTarget.Directive });
    FocusOnLoadDirective.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: FocusOnLoadDirective, selector: "*[autofocus]", ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: FocusOnLoadDirective, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '*[autofocus]'
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.ViewContainerRef }]; } });

    var FocusOnLoadModule = /** @class */ (function () {
        function FocusOnLoadModule() {
        }
        return FocusOnLoadModule;
    }());
    FocusOnLoadModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: FocusOnLoadModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    FocusOnLoadModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: FocusOnLoadModule, declarations: [FocusOnLoadDirective], imports: [common.CommonModule], exports: [FocusOnLoadDirective] });
    FocusOnLoadModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: FocusOnLoadModule, imports: [[common.CommonModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: FocusOnLoadModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [common.CommonModule],
                        declarations: [
                            FocusOnLoadDirective
                        ],
                        exports: [
                            FocusOnLoadDirective
                        ],
                    }]
            }] });

    /**
     * Generated bundle index. Do not edit.
     */

    exports.FocusOnLoadDirective = FocusOnLoadDirective;
    exports.FocusOnLoadModule = FocusOnLoadModule;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=mintplayer-ng-focus-on-load.umd.js.map
